<?php

/******************************** copyright ************************************
/*
/*	All upphovsrtt tillfaller adversus art, web & media samt 
/*	Victor Spng Arthursson.
/*
/*	Ingen kod fr anvndas i annat sammanhang n vad som skriftligen verrens-
/*	kommet med ovan nmnda, och inte heller modifieras p ngot stt. I vrigt
/*	gller svensk upphovsrttslagstiftning.
/*
/*	Fr ytterligare information och kontakt:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/*
/*						*** copyright - english version ***
/*
/*	All copyright belongs to adversus art, web & media and
/*	Victor Spng Arthursson.
/*
/*	No code may be used in other circumstances than what has been writtenly agreed
/*	upon with the copyright holder according to above, and it may not be modified
/*	in any what so ever way. For other issues, the swedish copyright laws applies.
/*
/*	More information and contact:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/******************************************************************************/

// *** sprogvariabler ***

$include_list_folders_txt["SE"]["0"] = "kunde inte stta base_path. Antagligen har felaktig mapp angetts.";
$include_list_folders_txt["UK"]["0"] = "Couldn't set the base_path. Probably a incorrect folder has been supplied.";
$include_list_folders_txt["SE"]["1"] = "Det verkar inte finnas ngra bildmappar i foldern.";
$include_list_folders_txt["UK"]["1"] = "It doesn't look like there are any image folders in the folder.";

// ### sprogvariabler ###

// stt aktivt sprk
include_once("includes/set_var_activelang.php");

// kontrollera foldrar
include("functions/function_folder_error.php");	// funktion som finner ut vad som r fel om inte en folder kan laddas
$foldererror = folder_error($prefs);

if($foldererror) {
	echo $foldererror;
}
# kontrollera foldrar - foldrar ok
else {
	// skapa ett file manager-objekt
	$file_manager = new file_manager;
	
	// stt base-path
	if(!$file_manager->set_base_path($prefs["base_path"] . "/" . $prefs["pic_path"]))
		die($include_list_folders_txt[$activelang][0]);
		
	// hmta alla kataloger i den aktuella
	$folders = $file_manager->get_folders();
	
	// om det finns ngra d v s ;)
	if(isset($folders) && valid_array($folders)) {
	
		// inkludera commentHandler-klassen
		include_once("classes/commentHandlerBasic.php");
	
		// skapa ett commentHandler-objekt
		$commentHandler = new commentHandlerBasic();
		
		// om inte datan kunde laddas och vi r inloggade (=admin) s skriv ut felbesked
		if(!$commentHandler->loadData("preferences/picturedata.xml") && true)
			echo '<p class="highlight">' . $commentHandler->lasterror . '</p>';

		echo "<table>";
		foreach ($folders as $folder) {
	
			$foldername = $commentHandler->getCommentData("$folder", "name");
			$folderdesc = $commentHandler->getCommentData("$folder", "desc");

			// skriv ut folderns namn alt namn frn desc
			echo 
				"<tr>\n" .
				'<td><img src="styles/' . (isset($prefs["styles"])?$prefs["styles"]:"1") . '/graphics/albumrulle.gif" alt="album" />' . "</td>\n" . // albumgrafik
				"<td><a href=\"" . $_SERVER['PHP_SELF'] . "?folder=$folder\">" .																	// foldernamn
				($foldername?$foldername:$folder) .																									// foldernamn
				"</a>\n" . 
				(isset($_SESSION["loggedin"])?
				"&nbsp;\n
				<a \n
					href=\"#\" 
					onclick=\"	
						newWindow = window.open('editFolderComment.php?folder=$folder',
							'EditComment',
							'height=270,width=300,location=no,status=no');
						newWindow.focus();
				\">
					+/-
				</a>":"");																																// foldernamn
			echo ($folderdesc? "<br />" . $folderdesc:"");																							// folderbeskrivning
			echo "</td>\n</tr>\n";
		}
		echo "</table>";
	}
	else
		echo '<div class="highlight">' . $include_list_folders_txt[$activelang][1] . '</div>';
}
?>